using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;
using System.Collections.Generic;

public partial class pretraga : System.Web.UI.Page
{
    protected void btnTrazi_Click(object sender, EventArgs e)
    {
        this.dgPretraga.DataSource = this.TraziArtikle();
        this.dgPretraga.DataBind();
    }

    protected void chkUKorpi_OnCheckedChanged(object sender, EventArgs e)
    {
        int ind = ((DataGridItem)((CheckBox)sender).NamingContainer).ItemIndex;
        int id = ((int)this.dgPretraga.DataKeys[ind]);

        ArrayList korpa = (ArrayList)Session["Korpa"];

        if (((CheckBox)sender).Checked == true)
        {
            korpa.Add(id);
        }
        else
        {
            korpa.Remove(id);
        }

        Session["Korpa"] = korpa;
    }

    private List<Artikal> TraziArtikle()
    {
        List<Artikal> artikli = new List<Artikal>();

        Artikal art;

        art = new Artikal();
        art.Id = 1;
        art.Naziv = "Tastatura";
        art.UKorpi = "False.gif";
        artikli.Add(art);

        art = new Artikal();
        art.Id = 2;
        art.Naziv = "Mis";
        art.UKorpi = "False.gif";
        artikli.Add(art);

        art = new Artikal();
        art.Id = 3;
        art.Naziv = "Monitor";
        art.UKorpi = "False.gif";
        artikli.Add(art);

        //provera da li je artikal vec u korpi
        ArrayList korpa = (ArrayList)Session["Korpa"];
        foreach (int id in korpa)
        {
            foreach (Artikal a in artikli)
            {
                if (a.Id == id)
                    a.UKorpi = "True.gif";
            }
        }

        return artikli;
    }

    protected void ImageButton2_Click(object sender, ImageClickEventArgs e)
    {
        int ind = ((DataGridItem)((ImageButton)sender).NamingContainer).ItemIndex;
        int id = ((int)this.dgPretraga.DataKeys[ind]);

        ArrayList korpa = (ArrayList)Session["Korpa"];

        if (((ImageButton)sender).ImageUrl == "False.gif")
        {
            korpa.Add(id);
            ((ImageButton)sender).ImageUrl = "True.gif";
        }
        else
        {
            korpa.Remove(id);
            ((ImageButton)sender).ImageUrl = "False.gif";
        }

        Session["Korpa"] = korpa;
    }
}
